
varying vec4 projCoord;
varying vec3 normal, lightDir, eyeVec;

void main()
{	
	normal = gl_NormalMatrix * gl_Normal;

	vec4 pos = gl_ModelViewMatrix * gl_Vertex;
	projCoord = gl_TextureMatrix[0] * pos;

	lightDir = vec3(gl_LightSource[0].position.xyz - pos.xyz);
	eyeVec = -pos.xyz;

	gl_Position = ftransform();	
	
	gl_TexCoord[0] = gl_MultiTexCoord0;	
}
