
varying vec4 projCoord;
varying vec3 lightVec, viewVec;
attribute vec3 tangent; 
//varying vec3 vTangent;


void main()
{	
	vec4 pos = gl_ModelViewMatrix * gl_Vertex;
	projCoord = gl_TextureMatrix[0] * pos;
	
	gl_Position = ftransform();	
	gl_TexCoord[0] = gl_MultiTexCoord0;	

	
	vec3 n = normalize(gl_NormalMatrix * gl_Normal);
	vec3 t = normalize(gl_NormalMatrix * tangent);
	vec3 b = cross(n, t);
	
	//vTangent = tangent;
	//vTangent = vec3(1.0, 0.0, 0.0);
	
	vec3 v;
	vec3 vVertex = vec3(gl_ModelViewMatrix * gl_Vertex);
	vec3 lVec = gl_LightSource[0].position.xyz - vVertex;

	v.x = dot(lVec, t);
	v.y = dot(lVec, b);
	v.z = dot(lVec, n);
	lightVec = v;

	vec3 vVec = -vVertex;
	v.x = dot(vVec, t);
	v.y = dot(vVec, b);
	v.z = dot(vVec, n);
	viewVec = v;	
	
	
}
